<template>
	<div class="loadsBrandDNA" ref="loadsBrandDNA">
		<a-modal class="generalModel" 
            v-model:visible="showLoadsBrandDNA" 
            :footer="null" 
            width="70rem"
            :maskClosable="false"
			:mask="false"
            :centered="true"
			:closable="false"
			:get-container="() => $refs.loadsBrandDNA"
			wrapClassName="#app"
			:keyboard="false"
        >
			<div class="generalModel_btn">
				<div class="generalModel_closeIcon" @click.stop="cancelDsign()">
					<svg width="46" height="46" viewBox="0 0 46 46" fill="none" xmlns="http://www.w3.org/2000/svg">
						<circle cx="23" cy="23" r="23" fill="white" fill-opacity="0.3"/>
						<rect x="32.5063" y="12" width="3" height="29" rx="1.5" transform="rotate(45 32.5063 12)" fill="black"/>
						<rect x="34.6274" y="32.5059" width="3" height="29" rx="1.5" transform="rotate(135 34.6274 32.5059)" fill="black"/>
					</svg>
				</div>
			</div>
			<div>1231425324</div>
		</a-modal>
	</div>
</template>
<script lang="ts">
import { defineComponent,computed,ref,provide,nextTick,createVNode,toRefs, reactive} from 'vue'
import { ExclamationCircleOutlined } from '@ant-design/icons-vue';
import { Https } from "@/tool/https";
import { useStore } from "vuex";
import { useI18n } from 'vue-i18n'
export default defineComponent({
	components:{
	},
	props:{
	},
	emits:[],
	setup(props,{emit}) {
		const store = useStore();
		const data = reactive({
			showLoadsBrandDNA:true,
		})
		const dataDom = reactive({
		})
		const cancelDsign = ()=>{
			data.showLoadsBrandDNA = false;
		}
		return{
			...toRefs(dataDom),
			...toRefs(data),
			cancelDsign,
		}
	},
	provide() {
		return {
		}
	},
})
</script>
<style lang="less" scoped>
	.loadsBrandDNA{
		width: 100%;
		height: 100%;
		position: relative;
	}
</style>